// app/Controllers/ImageController.php

namespace App\Controllers;

use CodeIgniter\RESTful\ResourceController;

class ImageController extends ResourceController
{
    public function upload()
    {
        $file = $this->request->getFile('image');
        if (!$file->isValid()) {
            return $this->fail('Invalid upload');
        }

        $uploadPath = FCPATH . 'uploads/';
        $filename = $file->getRandomName();

        // Avoid duplicate uploads
        $hash = sha1_file($file->getTempName());
        $existing = glob($uploadPath . $hash . '.*');
        if ($existing) {
            return $this->respond(['status' => 'exists', 'url' => base_url('uploads/' . basename($existing[0]))]);
        }

        $file->move($uploadPath, $hash . '.' . $file->getExtension());

        return $this->respond([
            'status' => 'uploaded',
            'url' => base_url('uploads/' . $hash . '.' . $file->getExtension())
        ]);
    }
}
