<?php
namespace App\Services;

class ModuleRegistry
{
    public static function loadAll(): array
    {
        $modules = [];
        $path = APPPATH . 'Modules/';

        foreach (glob($path . '*.php') as $file) {
            require_once $file;

            $className = pathinfo($file, PATHINFO_FILENAME);
            $fqcn = "App\\Modules\\$className";

            if (class_exists($fqcn)) {
                $instance = new $fqcn();
                if (method_exists($instance, 'getButtonPosition')) {
                    $modules[] = $instance;
                }
            }
        }

        usort($modules, fn($a, $b) =>
            $a->getButtonPosition() <=> $b->getButtonPosition()
        );

        return $modules;
    }
}
