<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title><?= esc($formName) ?></title>

  <!-- ✅ Your brand + module styles -->
  <link href="/assets/css/style2.css?v=<?= time(); ?>" rel="stylesheet">
  <link href="/assets/css/modules.css?v=<?= time(); ?>" rel="stylesheet">

  <!-- ✅ Fonts used by TitlePage module -->
  <link href="https://fonts.googleapis.com/css2?family=Cinzel:wght@600&family=Merriweather:ital,wght@1,700&family=Playfair+Display:ital,wght@1,700&display=swap" rel="stylesheet">

  <style>
    html, body {
      background-color: #ffffff; /* ✅ Fully white page */
      padding: 40px;
      margin: 0;
      font-family: 'Open Sans', sans-serif;
    }

    .form-container {
      max-width: 900px;
      margin: auto;
    }

    .module-preview {
      margin-bottom: 50px;
    }
  </style>
</head>
<body>
  <div class="form-container">
    <?php foreach ($modules as $mod): ?>
      <?php
        $className = $mod['module_name'];
        $settings = $mod['settings'] ?? [];

        $fqcn = "App\\Modules\\$className";
        $file = APPPATH . "Modules/{$className}.php";

        if (file_exists($file)) {
            require_once $file;
        }

        if (class_exists($fqcn)) {
            $module = new $fqcn($settings);
            echo $module->render();
        } else {
            echo "<p>⚠️ Unknown module: $className</p>";
        }
      ?>
    <?php endforeach; ?>
  </div>
</body>
</html>
