// save_submission.php
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Capture data from AJAX request
    $form_id = $_POST['form_id'];
    $user_id = $_POST['user_id'];  // User ID (can be dynamic or null for anonymous users)
    $submission_data = json_encode($_POST['answers']);  // Serialized answers

    // Insert form submission data into `form_submissions`
    $query = "INSERT INTO form_submissions (form_id, user_id, submission_data) 
              VALUES (:form_id, :user_id, :submission_data)";
    $stmt = $pdo->prepare($query);
    $stmt->execute([
        ':form_id' => $form_id,
        ':user_id' => $user_id,  // Can be NULL for anonymous submissions
        ':submission_data' => $submission_data
    ]);

    // Optionally, insert individual answers into `form_submission_answers`
    $submission_id = $pdo->lastInsertId();
    foreach ($_POST['answers'] as $module_id => $answer) {
        $answer_query = "INSERT INTO form_submission_answers (submission_id, module_id, field_name, answer_value) 
                         VALUES (:submission_id, :module_id, :field_name, :answer_value)";
        $answer_stmt = $pdo->prepare($answer_query);
        $answer_stmt->execute([
            ':submission_id' => $submission_id,
            ':module_id' => $module_id,
            ':field_name' => $module_id,  // Replace with actual field name from your form
            ':answer_value' => $answer
        ]);
    }

    echo json_encode(["status" => "success", "message" => "Submission saved successfully!"]);
}
