<?php

use CodeIgniter\Database\Config;

require_once __DIR__ . '/index.php'; // Ensures CI bootstrap is loaded (if needed)

// Check POST request
header('Content-Type: application/json');
if ($_SERVER['REQUEST_METHOD'] !== 'POST') {
    echo json_encode(['status' => 'error', 'message' => 'Only POST allowed']);
    exit;
}

$form_name = $_POST['form_name'] ?? '';
$form_description = $_POST['form_description'] ?? '';
$form_structure = $_POST['form_structure'] ?? '';

try {
    // ✅ Use CI4 DB connection
    $db = Config::get('Database')->defaultGroup;
    $dbConn = \Config\Database::connect($db);

    $builder = $dbConn->table('forms');
    $builder->insert([
        'form_name'        => $form_name,
        'form_description' => $form_description,
        'form_structure'   => $form_structure
    ]);

    echo json_encode([
        'status' => 'success',
        'message' => 'Inserted using CodeIgniter DB!',
        'form_id' => $dbConn->insertID()
    ]);
} catch (\Throwable $e) {
    log_message('error', 'Save failed: ' . $e->getMessage());
    echo json_encode([
        'status' => 'error',
        'message' => 'DB error: ' . $e->getMessage()
    ]);
}
